package com.ruoyi.scientific.service;

import com.ruoyi.scientific.domain.ProjectHandbook;
import com.ruoyi.scientific.domain.vo.ProjectHandbookVo;
import com.ruoyi.scientific.domain.bo.ProjectHandbookBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 项目申报v2Service接口
 *
 * @author ruoyi
 * @date 2024-07-23
 */
public interface IProjectHandbookService {

    /**
     * 查询项目申报v2
     */
    ProjectHandbookVo queryById(Long handbookId);

    /**
     * 查询项目申报v2列表
     */
    TableDataInfo<ProjectHandbookVo> queryPageList(ProjectHandbookBo bo, PageQuery pageQuery);

    /**
     * 查询项目申报v2列表
     */
    List<ProjectHandbookVo> queryList(ProjectHandbookBo bo);

    /**
     * 新增项目申报v2
     */
    Boolean insertByBo(ProjectHandbookBo bo);

    /**
     * 修改项目申报v2
     */
    Boolean updateByBo(ProjectHandbookBo bo);

    /**
     * 校验并批量删除项目申报v2信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 更新指南的审核状态
     */
    Boolean updateHandbookInfoById(Long handbookId, String status);
}
